Subject: Work on IP fast rerouting in IGPs

From: Alex Zinin <[email-masked]>
Date: Mon, 19 Apr 2004 16:08:52 -0700

Folks-

 As many of you know, the topic of fast rerouting in IP (as opposed to
 MPLS-based FRR) has been brought up several times at the IETF meetings recently
 (see reading material at the end of the message).

 I believe that this work is important and there's some room for standardization
 here. More specifically, even though the exact algorithms of route calculation
 in IGPs are historically non-normative, the criteria, such as shortest path
 first, are. Forwarding packets along the feasible (non-SPF, but loop-free)
 next-hops, strictly speaking violates those, and if done incorrectly is likely
 to lead to routing loops. Hence, the need to standardize the criteria for
 feasible next-hop calculation and document possible algorithms for
 informational purposes (pretty much the way OSPF and ISIS do this.)

 Per above, I would like to bring the work on fast IP rerouting to the RTGWG and
 ask the IESG to extend its charter accordingly. The reason for not putting it
 to OSPF and ISIS WGs is that the base idea appears to be a more generic topic,
 not specific to a particular IGP.

 As part of the WG charter extension process, we will need to identify the
 milestones for the WG, documents that would be produced, as well as any
 documents that contain relevant information. These details will depend on the
 results of the discussion about the candidate WG document
 (draft-atlas-ip-local-protect-00.txt) that I will start shortly.

 In this thread I would like to solicit feedback from the WG on a more generic
 question, independent of the details of any specific draft, namely: do you
 believe that we should add the topic of "IP fast reroute in IGPs" to the
 charter of RTGWG?
 
 Reading material:
  - Cengiz' slides at 55th IETF http://www.packetdesign.com/news/presentations/2002/fast-reroute6.pdf
  - Alia's slides at 59th IETF http://www.ietf.org/proceedings/04mar/slides/rtgarea-2/index.html
    Alia's draft: draft-atlas-ip-local-protect-00.txt
  - Early draft http://www.potaroo.net/ietf/old-ids/draft-kini-traf-restore-nsp-00.txt

 Thanks.
  
-- 
Alex Zinin

_______________________________________________
Rtgwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rtgwg

---

From: Thomas Eriksson <[email-masked]>
Date: Tue, 20 Apr 2004 11:21:09 +0200

>do you

Yes, this is a very important topic in my view.

Thomas

---

From: [email-masked]
Date: Tue, 20 Apr 2004 11:49:31 +0200

>  believe that we should add the topic of "IP fast reroute in IGPs" to the

yes, this important topic should be added in the rtgwg charter

thanks,
- dimitri.

---

From: Alia Atlas <[email-masked]>
Date: Tue, 20 Apr 2004 11:50:19 -0400

>  believe that we should add the topic of "IP fast reroute in IGPs" to the

Yes

Alia

---

From: stefano previdi <[email-masked]>
Date: Thu, 22 Apr 2004 02:55:24 +0200

>  believe that we should add the topic of "IP fast reroute in IGPs" to 

I believe we have some techniques of ipfrr that don't explictely
require interoperability  however, some extensions to routing
protocols will be necessary (not for the ipfrr algo computation
itself) and anyway I believe is a good idea to have some work done
under ietf umbrella.

s.

---

From: "zafar ali" <[email-masked]>
Date: Thu, 22 Apr 2004 19:49:00 -0400

Hi Alex, 

I support this notion. 

Thanks
 
Regards... Zafar

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On 
>Behalf Of Alex Zinin
>Sent: Monday, April 19, 2004 7:09 PM
>To: [email-masked]
>Subject: Work on IP fast rerouting in IGPs
>
>
>Folks-
>
> As many of you know, the topic of fast rerouting in IP (as 
>opposed to  MPLS-based FRR) has been brought up several times 
>at the IETF meetings recently  (see reading material at the 
>end of the message).
>
> I believe that this work is important and there's some room 
>for standardization  here. More specifically, even though the 
>exact algorithms of route calculation  in IGPs are 
>historically non-normative, the criteria, such as shortest 
>path  first, are. Forwarding packets along the feasible 
>(non-SPF, but loop-free)  next-hops, strictly speaking 
>violates those, and if done incorrectly is likely  to lead to 
>routing loops. Hence, the need to standardize the criteria for 
> feasible next-hop calculation and document possible 
>algorithms for  informational purposes (pretty much the way 
>OSPF and ISIS do this.)
>
> Per above, I would like to bring the work on fast IP 
>rerouting to the RTGWG and  ask the IESG to extend its charter 
>accordingly. The reason for not putting it  to OSPF and ISIS 
>WGs is that the base idea appears to be a more generic topic,  
> As part of the WG charter extension process, we will need to 
>identify the  milestones for the WG, documents that would be 
>produced, as well as any  documents that contain relevant 
>information. These details will depend on the  results of the 
>discussion about the candidate WG document
> In this thread I would like to solicit feedback from the WG 
>on a more generic  question, independent of the details of any 
>specific draft, namely: do you  believe that we should add the 
>topic of "IP fast reroute in IGPs" to the  charter of RTGWG?
> 
> Reading material:
>  - Cengiz' slides at 55th IETF 
>http://www.packetdesign.com/news/presentations/2002/fast-rerout
e6.pdf
  - Alia's slides at 59th IETF
http://www.ietf.org/proceedings/04mar/slides/rtgarea-2/index.html
    Alia's draft: draft-atlas-ip-local-protect-00.txt
  - Early draft
http://www.potaroo.net/ietf/old-ids/draft-kini-traf-restore-nsp-00.txt

 Thanks.
  
-- 
Alex Zinin